Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.yahoo
Class YahooMailNotification

    java.lang.Object
      |
      +--com.compoze.collab.yahoo.YahooMailNotification

public class YahooMailNotification
extends java.lang.Object

This class holds information about a new mail notification from Yahoo, and is available as the `source` of a `YahooImEvent` of type `YahooImEvent.NEW_MAIL`. Yahoo mail notifications come in one of two types, notification of the number of new messages or a specific notification about a particular email.

Constructor Summary
`YahooMailNotification(int iMessageCount, java.lang.String sFrom, java.lang.String sEmailAddress, java.lang.String sSubject)` Constructor.

Method Summary
`java.lang.String` | `getEmailAddress()` Gets the email address.
`java.lang.String` | `getFrom()` Gets the from address.
`int` | `getMessageCount()` Gets the message count.
`java.lang.String` | `getSubject()` Gets the subject.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### YahooMailNotification

    public YahooMailNotification(int iMessageCount,
                                 java.lang.String sFrom,
                                 java.lang.String sEmailAddress,
                                 java.lang.String sSubject)

  Constructor.

Method Detail

### getMessageCount

    public int getMessageCount()

  Gets the message count.
  Returns:
    the message count, or `-1` if the message count is not available (in which case from, email address and body will be)

### getFrom

    public java.lang.String getFrom()

  Gets the from address.
  Returns:
    the from address (or `null` if the notification is not for a specific message)

### getEmailAddress

    public java.lang.String getEmailAddress()

  Gets the email address.
  Returns:
    the email address (or `null` if the notification is not for a specific message)

### getSubject

    public java.lang.String getSubject()

  Gets the subject.
  Returns:
    the subject (or `null` if the notification is not for a specific message)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.